org.jCharts.imageMap

## Class AreaShape

- java.lang.Object
- - org.jCharts.imageMap.AreaShape

All Implemented Interfaces:
  Serializable

    public class AreaShape
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`static AreaShape` `CIRCLE`
`static AreaShape` `POLYGON`
`static AreaShape` `RECTANGLE`
`private String` `value`

### Constructor Summary

Constructors
`private` `AreaShape(String value)`

### Method Summary

Methods
`String` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RECTANGLE

    public static final AreaShape RECTANGLE

#### CIRCLE

    public static final AreaShape CIRCLE

#### POLYGON

    public static final AreaShape POLYGON

#### value

    private String value

### Constructor Detail

#### AreaShape

    private AreaShape(String value)

Parameters:
  `value` -

### Method Detail

#### getValue

    public String getValue()

Returns:
  value